View Issue Details

IDCategoryLast Update
0008130bugs2020-05-26 18:22
ReporterinFlowiaLabAssigned Topaul 
Reproducibilityhave not tried 
Status resolvedResolutionno change required 
PlatformLinuxOSUbuntu StudioOS Version19.10 x64
Product Version5.12 
Fixed in Version 
Summary0008130: I can't return the video window after disconnecting the second screen from the PC.
DescriptionIf you work with a project with added video on two screens and then disable the second screen, the video window will remain somewhere in the area of the disabled second screen, and although the panel corresponding to its window will be visible on the taskbar, the window itself will not be returned until you re-connect the second screen and drag it to the first one.
Steps To ReproduceConnect 2 screens to the PC.
Open the project with the added video and open the window with the video so that it is on the second screen.
Turn off the PC, disable the second screen.
Turn on the PC again and open the same project.
Tagsdouble screen, video, video timeline

Activities

x42

2020-05-22 12:48

administrator   ~0024225

Which Window Manager are you using?

I just tried with mate and xfce, and in both cases the WM prevents the window to be moved to out-of-bounds coordinates.

Can you bring it back by selecting xjadeo in the WM's task-bar, right-click -> move ?

inFlowiaLab

2020-05-22 19:22

reporter   ~0024229

Window Manager - Xfwm4
(i'm not change window manager in Ubuntu Studio 19 (Xfce)

inFlowiaLab

2020-05-22 19:31

reporter   ~0024230

>Can you bring it back by selecting xjadeo in the WM's task-bar, right-click -> move ?
Yes. I just tried this method - it works. Thank :)

>I just tried with mate and xfce, and in both cases the WM prevents the window to be moved to out-of-bounds coordinates.
But I did not drag the window to the coordinates. I dragged him to the second screen.

paul

2020-05-24 21:12

administrator   ~0024258

This is largely a WM issue. It happens with other software too. For example, I have a 3 monitor setup. Several applications (VLC, Rack, atril) will start on the monitor/screen they last appeared on, regardless of whether the screen is connected or powered on. I can access them by some wierd tricks, but I can't force them to appear on the correct screen. Rack has a related issue, actually: it puts up notifications on the "default screen" even if it itself is on a different screen.

x42

2020-05-24 21:29

administrator   ~0024259

"I dragged him to the second screen."

Screen coordinates just extend. When I connect a second screen the whole desktop now has a size 3840 x 1080 (two times 1920 in width).
I've moved the video monitor to the 2nd (right) screen, coordinates are 2300 x 100.
Later when re-starting with a single screen only the window is moved there. Which is off-screen. WM usually prevents this. but apparently not in your case :(

This might be considered a bug in xjadeo , really. Except other ardour windows are likely also affected.

inFlowiaLab

2020-05-26 16:45

reporter   ~0024272

ok If this does not apply to Ardor, what should I do? Should I close this bug myself? Or is one of the administrators making this decision?

paul

2020-05-26 18:21

administrator   ~0024273

Our policy is that developers and others who are not the initial bug reporter may mark a bug resolved, but only the reporter can mark it closed, and we encourage people to do that.

We also have an automated process that marks bugs closed in various circumstances (e.g. after a long period of time).

So, I would encourage you/ask you to mark this as closed (I will mark it resolved first)

Issue History

Date Modified Username Field Change
2020-05-21 07:32 inFlowiaLab New Issue
2020-05-21 07:32 inFlowiaLab Tag Attached: double screen
2020-05-21 07:32 inFlowiaLab Tag Attached: video
2020-05-21 07:32 inFlowiaLab Tag Attached: video timeline
2020-05-22 12:48 x42 Note Added: 0024225
2020-05-22 19:22 inFlowiaLab Note Added: 0024229
2020-05-22 19:31 inFlowiaLab Note Added: 0024230
2020-05-24 21:12 paul Note Added: 0024258
2020-05-24 21:29 x42 Note Added: 0024259
2020-05-26 16:45 inFlowiaLab Note Added: 0024272
2020-05-26 18:21 paul Note Added: 0024273
2020-05-26 18:22 paul Assigned To => paul
2020-05-26 18:22 paul Status new => resolved
2020-05-26 18:22 paul Resolution open => no change required